Page MenuHomePhabricator

[EPIC] Productionize WCQS
Open, HighPublic

Description

As a user of WCQS I want to have some guarantee on uptime and availability of WCQS so that I can build workflows and tools around the service.

As an operator of WCQS I want to have access to proper monitoring, metrics, alerting so that I can properly run and improve the service.

Project outline from kickoff: https://docs.google.com/document/d/10oKth0QUrWS2HrvkiXVOH9WZtqq1R2KB9xPSbeDEwwM/edit?usp=sharing

To do:

  • get new hardware
  • service implementation: puppet work / initial configuration
  • UI
  • Flink-based streaming updater for WCQS
  • authentication
  • monitoring, metrics, alerting, dashboard
  • redirect old URL
  • community communications
  • promote MediaInfo RDF format to stable

Out of scope:

  • UI updates/changes
  • authentication for WDQS <-> WCQS federation
  • WDQS UI features that are missing on WCQS

Related Objects

StatusSubtypeAssignedTask
Resolved Ladsgroup
OpenNone
OpenNone
DuplicateNone
OpenEBernhardson
OpenNone
OpenGehel
Opendcausse
OpenNone
ResolvedGehel
ResolvedRobH
ResolvedPapaul
OpenMPhamWMF
OpenRKemper
OpenEBernhardson
OpenEBernhardson
OpenNone
OpenNone
OpenEBernhardson
OpenNone
OpenEBernhardson
ResolvedZbyszko
OpenNone
OpenNone

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
CBogen renamed this task from Productionize WCQS to [EPIC] Productionize WCQS.Aug 17 2020, 3:44 PM
CBogen updated the task description. (Show Details)
Gehel triaged this task as High priority.Sep 15 2020, 7:41 AM
Gehel added a subtask: Unknown Object (Task).Feb 10 2021, 4:39 PM
Gehel mentioned this in Unknown Object (Task).Feb 12 2021, 1:53 PM
Gehel mentioned this in Unknown Object (Task).Feb 12 2021, 1:58 PM
Jclark-ctr closed subtask Unknown Object (Task) as Resolved.Apr 16 2021, 6:12 PM